Work with communities to learn how inter-wiki search might work
Closed, ResolvedPublic

Description

For the first quarter of the coming year the search team is looking into what inter-wiki searches might look like.

"Evaluate and devise plan for using cross-project indices, which would allow users to search across all projects in any given language."

An example of what this could potentially mean: When you search on the Hebrew Wikipedia for a phrase, results from the Hebrew Wiktionary and Wikiquote might appear somewhere in the search results.

This task will track the work with the communities to understand how Wikimedia wiki search results might change, what concerns they have, and how to be a part of feedback and testing of this project.

In preparation a few examples of augmented search were discovered:

See also:

  • T109957 - Wikimedia search results had cross-project links in the results in the past

Measurement of success

  • Call for feedback sent to targeted communities.
  • Volunteers contribute ideas, get involved, and help improving the plan.
  • Based on the experience, feedback for the Technical Collaboration Guideline is provided.
  • Allow for individual wiki's to 'turn off' this functionality - if desired
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 8 2016, 2:29 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Elitre added a subscriber: Elitre.Jun 8 2016, 2:30 PM
CKoerner_WMF updated the task description. (Show Details)Jun 8 2016, 2:32 PM
debt added a subscriber: debt.Jun 8 2016, 11:11 PM
CKoerner_WMF triaged this task as Normal priority.Jun 9 2016, 10:26 PM
CKoerner_WMF updated the task description. (Show Details)
debt added a subscriber: Pine.Jul 4 2016, 8:47 PM

Adding a note from @Pine about cross project search and Commons, via an email thread on the Discovery list:

You might want to make a priority of cross-project search to Commons, since I believe that Jonathan (cc'd here) mentioned that multimedia search would be of particular interest to some Wikipedia readers according to his research.

FWIW I believe that T139152 is relevant here.

I created a page on meta as a draft. https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Interwiki_Searches

I also setup a meeting with Erik, Dan, and Deb to discuss our plans to discuss this idea with the communities. I'l update this ticket with more information post-meeting.

After meeting I updated the page with considerations from the team. It's still a draft, but I would appreciate any edits or feedback folks may have.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Interwiki_Searches

Qgil updated the task description. (Show Details)Aug 10 2016, 9:01 AM

After a few rounds of edits and discussion the pages have been published on MediaWiki.org

https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements

https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Design

Next to mark for translation and prepare an announcement to the wider wiki-world for feedback.

@debt is drafting an announcement to post to Village Pumps (or project equivalent) and mailing lists (discovery-l, wikitech-l, wikimedia-l).

debt updated the task description. (Show Details)Sep 7 2016, 6:56 PM

@CKoerner_WMF, since this task is a Technical Collaboration quarterly goal, we defined measurements of success in advance. Can you check the checklist in the description above and tell whether you think this goal will be completed by the end of this quarter, please?

Here's a quick update. The first two items have been accomplished.

  • Call for feedback sent to targeted communities.
  • Volunteers contribute ideas, get involved, and help improving the plan.
  • Based on the experience, feedback for the Technical Collaboration Guideline is provided.
  • Allow for individual wiki's to 'turn off' this functionality - if desired

I'm sorry if my memory is failing for how to accomplish the third. I'm happy to provide feedback to the TCG. What is the best way to formally do so? (cc @Keegan)

For the last one, yes. The plan is to spend next quarter (Q2) to work on the technical implementation of this feature. Wikipedias would be first - including results from other projects. At a point in the future we'd work with communities from the other projects to include Wikipedia results. If the community would find cross-wiki search results counter-productive we would have a per-project setting to not include results. (@debt and @EBernhardson, please correct me if I'm wrong)

I'm sorry if my memory is failing for how to accomplish the third. I'm happy to provide feedback to the TCG. What is the best way to formally do so? (cc @Keegan)

I don't have the process set up yet - will be working on that next month, your memory is fine.

  • Based on the experience, feedback for the Technical Collaboration Guideline is provided.

What this means is simply to check https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline/Milestone_communication against the work what you have dine for this task, and if you have any feedback about what works, what doesn't, what do you miss in the TCG just post your feedback in the discussion page.

  • Allow for individual wiki's to 'turn off' this functionality - if desired

The idea behind this one is to define a deployment plan considering early adopters and the possibility to opt out of a new feature in its first stages, also a notion related to the TCG (that might have its own recommendation soon).

  • Based on the experience, feedback for the Technical Collaboration Guideline is provided.

I took some time over the last few days to reflect on this task and its relationship with the Technical Collaboration Guideline. I've shared my notes at the topic below.

https://www.mediawiki.org/wiki/Topic:Tcbf0mc8dw9qgoep

  • Allow for individual wiki's to 'turn off' this functionality - if desired

I created a task to track the work of including the communities voice in determining if this feature is enabled within a project or not.

https://phabricator.wikimedia.org/T146702

debt added a comment.Sep 26 2016, 10:11 PM

I took some time over the last few days to reflect on this task and its relationship with the Technical Collaboration Guideline. I've shared my notes at the topic below.

https://www.mediawiki.org/wiki/Topic:Tcbf0mc8dw9qgoep

I think your write-up is spot on, @CKoerner_WMF, thanks!

I've added this ticket as a subtask of the epic ticket: T145918, which I think is probably more appropriate for this conversation.

CKoerner_WMF closed this task as Resolved.Sep 27 2016, 8:45 PM

All measurements of success were met to the satisfaction of those involved. I'm considering this task resolved. The work on cross-wiki search continues and I will create new tasks related to CL work for Q2 if needed.

Qgil awarded a token.
Qgil updated the task description. (Show Details)Oct 7 2016, 12:16 PM